Approve or deny an access request
POST
/v1/access-requests/{id}
const url = 'https://shareout.site/v1/access-requests/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"action":"approve"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/access-requests/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "action": "approve" }'Owner only. Approving adds the requester as a viewer collaborator.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
action
required
string
Responses
Section titled “ Responses ”Decision recorded
Media type application/json
object
ok
boolean
action
string
Example generated
{ "ok": true, "action": "example"}Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}